  
  .thumb-reveal.left .thumb-img{
    clip-path: inset(0 100% 0 0);
    transition: clip-path 0.2s linear;
  }

  .thumb-reveal.right .thumb-img {
    clip-path: inset(0 0% 0 100%);
    transition: clip-path 0.2s linear;
  }


  .thumb-reveal.top .thumb-img {
    position: relative;
    z-index: 1;
    clip-path: inset(0% 0% 100% 0%);
    transition: clip-path 0.3s ease-out; /* Smooth transition */
  }

/*
  .keypillar-col:nth-child(2) .keypillar .thumb-img {
      transition: clip-path 0.4s ease-out 0.1s;
  }

  .keypillar-col:nth-child(3) .keypillar .thumb-img {
      transition: clip-path 0.5s ease-out 0.2s;
  }

  .keypillar-col:nth-child(4) .keypillar .thumb-img {
      transition: clip-path 0.6s ease-out 0.3s;
  }

  .keypillar-col:nth-child(n+5) .keypillar .thumb-img {
      transition: clip-path 0.3s ease-out;
  }

  .keypillar-col:nth-child(n+6) .keypillar .thumb-img {
      transition: clip-path 0.4s ease-out 0.1s;
  }

  .keypillar-col:nth-child(n+7) .keypillar .thumb-img {
      transition: clip-path 0.5s ease-out 0.2s;
  }

  .keypillar-col:nth-child(n+8) .keypillar .thumb-img {
      transition: clip-path 0.6s ease-out 0.3s;
  }
*/


 /* .lignite-img {
    opacity: 0;
    transform: translateX(-100%) rotate(-120deg);
    transition: none;
  }*/